ServerResource (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.ServerResource class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ServerResource

    java.lang.Object
      org.hyperic.hq.product.ServerResource

    public class ServerResource

extends java.lang.Object

Constructor Summary
`ServerResource()`

Method Summary
`void` | `addService(ServiceResource service)`
`void` | `addServiceType(ServiceType serviceType)`
`java.lang.String[]` | `getConnectProperties()`
`ConfigResponse` | `getControlConfig()`
`ConfigResponse` | `getCustomProperties()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getIdentifier()`
`java.lang.String` | `getInstallPath()`
`ConfigResponse` | `getMeasurementConfig()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPlatformFqdn()`
`ConfigResponse` | `getProductConfig()`
`java.lang.Object` | `getResource()`
`java.lang.String` | `getType()`
`void` | `setConnectProperties(java.lang.String[] keys)`
`void` | `setControlConfig()`
`void` | `setControlConfig(ConfigResponse config)`
`void` | `setControlConfig(java.util.Map config)`
`void` | `setCustomProperties(ConfigResponse config)`
`void` | `setCustomProperties(java.util.Map props)`
`void` | `setDescription(java.lang.String description)`
`void` | `setIdentifier(java.lang.String name)`
`void` | `setInstallPath(java.lang.String name)`
`void` | `setMeasurementConfig()`
`void` | `setMeasurementConfig(ConfigResponse config)`
`void` | `setMeasurementConfig(ConfigResponse config, int logTrackLevel, boolean enableConfigTrack)`
`void` | `setMeasurementConfig(java.util.Map config)`
`void` | `setName(java.lang.String name)`
`void` | `setPlatformFqdn(java.lang.String name)` This attribute should only be set if discovered server is hosted on a platform other than the platform which ran the auto discovery.
`void` | `setProductConfig()`
`void` | `setProductConfig(ConfigResponse config)`
`void` | `setProductConfig(java.util.Map config)`
`void` | `setType(GenericPlugin plugin)`
`void` | `setType(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerResource

    public ServerResource()

Method Detail

### getResource

    public java.lang.Object getResource()

### setPlatformFqdn

    public void setPlatformFqdn(java.lang.String name)

  This attribute should only be set if discovered server is hosted on a platform other than the platform which ran the auto discovery. The WebLogic plugin for example may find cluster nodes on other platforms. Note that setting this attribute will also require the given platform to exist in the HQ inventory.

### getPlatformFqdn

    public java.lang.String getPlatformFqdn()

### setConnectProperties

    public void setConnectProperties(java.lang.String[] keys)

### getConnectProperties

    public java.lang.String[] getConnectProperties()

### addService

    public void addService(ServiceResource service)

### addServiceType

    public void addServiceType(ServiceType serviceType)

### setInstallPath

    public void setInstallPath(java.lang.String name)

### getInstallPath

    public java.lang.String getInstallPath()

### setIdentifier

    public void setIdentifier(java.lang.String name)

### getIdentifier

    public java.lang.String getIdentifier()

### setType

    public void setType(GenericPlugin plugin)

### setType

    public void setType(java.lang.String name)

### getType

    public java.lang.String getType()

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### getProductConfig

    public ConfigResponse getProductConfig()

### setProductConfig

    public void setProductConfig(ConfigResponse config)

### getMeasurementConfig

    public ConfigResponse getMeasurementConfig()

### setMeasurementConfig

    public void setMeasurementConfig(ConfigResponse config)

### setMeasurementConfig

    public void setMeasurementConfig(ConfigResponse config,
                                     int logTrackLevel,
                                     boolean enableConfigTrack)

### getControlConfig

    public ConfigResponse getControlConfig()

### setControlConfig

    public void setControlConfig(ConfigResponse config)

### setProductConfig

    public void setProductConfig()

### setMeasurementConfig

    public void setMeasurementConfig()

### setControlConfig

    public void setControlConfig()

### getCustomProperties

    public ConfigResponse getCustomProperties()

### setCustomProperties

    public void setCustomProperties(ConfigResponse config)

### setProductConfig

    public void setProductConfig(java.util.Map config)

### setMeasurementConfig

    public void setMeasurementConfig(java.util.Map config)

### setControlConfig

    public void setControlConfig(java.util.Map config)

### setCustomProperties

    public void setCustomProperties(java.util.Map props)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.